Package org.apache.lucene.internal.hppc

# Class LongIntHashMap.KeysContainer

java.lang.Object
org.apache.lucene.internal.hppc.LongIntHashMap.KeysContainer

All Implemented Interfaces:
  `Iterable<LongCursor>`

Enclosing class:
  `LongIntHashMap`

public final class LongIntHashMap.KeysContainer extends Object implements Iterable<LongCursor>
A view of the keys inside this hash map.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeysContainer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<LongCursor>`
  `iterator()`
  `int`
  `size()`
  `long[]`
  `toArray()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### KeysContainer

    public KeysContainer()

- ## Method Details

  - ### iterator

    public Iterator<LongCursor> iterator()
    Specified by:
      `iterator` in interface `Iterable<LongCursor>`

  - ### size

    public int size()

  - ### toArray

    public long[] toArray()